Modul:Side box/styles.css: Perbedaan antara revisi

Dari Yufidpedia
Loncat ke navigasiLoncat ke pencarian
k (1 revisi diimpor: Template Infobox Religius Biography Di import dari id.wikipedia.org)
id.wikipedia.org>Nyilvoskt
Tidak ada ringkasan suntingan
Baris 7: Baris 7:
line-height: 1.25em;
line-height: 1.25em;
background-color: #f9f9f9;
background-color: #f9f9f9;
box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.35);
border-radius: 2px;
}
}



Revisi per 15 Januari 2023 02.33

/* {{pp|small=y}} */
.side-box {
	margin: 4px 0;
	box-sizing: border-box;
	border: 1px solid #aaa;
	font-size: 88%;
	line-height: 1.25em;
	background-color: #f9f9f9;
	box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.35);
	border-radius: 2px;	
}

.side-box-abovebelow,
.side-box-text {
	padding: 0.25em 0.9em;
}

.side-box-image {
	/* @noflip */
	padding: 2px 0 2px 0.9em;
	text-align: center;
}

.side-box-imageright {
	/* @noflip */
	padding: 2px 0.9em 2px 0;
	text-align: center;
}

/* roughly the skin's sidebar + size of side box */
@media (min-width: 500px) {
	.side-box-flex {
		display: flex;
		align-items: center;
	}
	
	.side-box-text {
		flex: 1;
	}
}

@media (min-width: 720px) {
	.side-box {
		width: 238px;
	}
	
	.side-box-right {
		/* @noflip */
		clear: right;
		/* @noflip */
		float: right;
		/* @noflip */
		margin-left: 1em;
	}
	
	/* derives from mbox classes, which do not float left in mbox-small-left
	 * so far as I can tell, that was a deliberate decision, since only .ambox
	 * supports mbox-left
	 */
	.side-box-left {
		/* @noflip */
		margin-right: 1em;
	}
}